Subscription streaming - offline (HLS)

Stream any track available for streaming in the user's region, as long as they have a valid subscription account already set up with our subscription system and their device is registered for offline play with the user/unlimitedStreaming/offline endpoint.This endpoint should only be used when a given device is caching for offline track play (where it won't be connected to the Internet).All plays done during offline mode must be reported to the user/subscription/log endpoint as soon as Internet connectivity is restored.

OAuth User token

Example request

GET https://stream.svc.7digital.net/offline/subscription.m3u8?country=US&userid=1234&trackid=123456&formatid=56&clientId=123

Example Response

HTTP/1.1 200 OK
Date: Thu, 19 Nov 2023 11:27:47 GMT
Content-Length: 7256280
Content-Type: audio/mpeg

Specific Errors Codes

  • 1001 - Error: Missing "parameter name" query parameter. Not all mandatory parameters were specified in the request.
  • 1002 - Invalid value for "parameter name": parameter value. Value for parameter in error message is not valid.
  • 2001 - Track not found. This track isn't available for streaming in your country.
  • 2002 - Pre-release or subscription availability. Either the user does not have a valid subscription account with us, or the track is not available for streaming (note that streaming release dates may differ from download or catalogue streaming release dates).
Query Params
string
required

The unique identifier of the user. For information on creating users click here.

int32
required

The MassiveMusic ID of the track to be streamed.

int32
required

The MassiveMusic ID of the format requested. For information on supported streaming formats click here.

string
required

A unique identifier for the current device streaming the track. Generally a music label requirement, this will allow us to block multiple devices from streaming on the same user account (see above for more information).

string
required

ISO 2-character code of the country the end user resides in.

Headers
string

Specify the byte range to be returned.

Language
LoadingLoading…